Projects
Create a project
Requires scope: session.
POST
/
sessions
Create a project
curl --request POST \
--url https://api.mapxagent.com/api/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "门店分析",
"mapState": {
"center": [
0,
0
],
"zoom": 2,
"bearing": 0,
"pitch": 0,
"basemap": {
"style": "positron",
"categories": {
"water": {
"visible": false
}
}
}
}
}
'import requests
url = "https://api.mapxagent.com/api/v1/sessions"
payload = {
"title": "门店分析",
"mapState": {
"center": [0, 0],
"zoom": 2,
"bearing": 0,
"pitch": 0,
"basemap": {
"style": "positron",
"categories": { "water": { "visible": False } }
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '门店分析',
mapState: {
center: [0, 0],
zoom: 2,
bearing: 0,
pitch: 0,
basemap: {style: 'positron', categories: {water: {visible: false}}}
}
})
};
fetch('https://api.mapxagent.com/api/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"mapState": {
"center": [
123
],
"zoom": 11,
"bearing": 123,
"pitch": 42.5,
"basemap": {
"style": "<string>",
"categories": {}
},
"countryMask": {
"countryCode": "<string>",
"countryName": "<string>",
"visible": true,
"color": "<string>"
},
"customMask": {
"geojson": "<string>",
"color": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Personal API key (mkx_...) created from the MapX account.
Body
application/json
All fields are optional; an empty object creates a project with default title and map state.
Project title. Optional; defaults to "New Session" when omitted or empty.
Maximum string length:
200Initial map state. All fields optional. Omitted center/zoom/bearing/pitch default to [0, 0], 2, 0, 0; omitted basemap defaults to { style: "positron", categories: {} }.
Show child attributes
Show child attributes
⌘I
Create a project

